
 LinHES - Bug # 404: Technotrend Budget S-1500 DVB-S not detected correctly

Status: Closed Priority: Normal
Author: alien Category:
Created: 06/20/2009 Assignee: cecil
Updated: 01/24/2012 Due date:
Description: My DVB-T is correctly detected, but the DVB-S does not even appear in dmesg.  It is as if it isn't even plugged 

in.  However, it was recording yesterday on R5.5.

Looking at lspci, the card is in 1:08.  Searching dmesg, I found the following:

Emagic Audiowerk 2 0000:01:08.0: PCI INT A -> Link[LNK3] -> GSI 11 (level, low) -> IRQ 11
Audiowerk 2 sound card (saa7146 chipset) detected and managed

It looks like it is mistakenly detected as a sound card.

Anyway I can blacklist this driver?  I haven't figured out arch linux well enough yet.

My system:

Athlon 2500+
ASUS A7N8X-E Deluxe, 1Gig, SATA
GeForce4 MX 440, PVR-250, DVD
Twinhan VisionPlus DVB-T
Technotrend Budget S-1500 DVB-S

History
06/20/2009 09:34 am - alien
Found a workaround.  I added a file to /etc/modprobe.d with the following contents:

<code>blacklist snd_aw2</code>

See http://smart-home-blog.com/archives/1021 for more details.

06/28/2009 09:34 am - Bohner
Thanks, I had the same problem with a Terratec Cynergy 1200C DVB-C Card. This Card has also a SAA7146 Chip.
It is also possible to blacklist a module in the /etc/rc.conf:

<code># Modules to load at boot-up (in this order)                          
#   - prefix a module with a ! to blacklist it                        
#
MODULES=($MOD_BLACKLIST_ !snd_aw2)</code>

05/13/2010 02:47 am - Golffies
Hi,

it sounds very similar to trouble with *Satelco EasyWatch PCI DVB-S card (with CI connector)*, whose PCI bridge is also Philips *SAA7146* chipset. 
That case is described under ticket #697, and discussed further on LinHES forum, within the thread "Satelco EasyWatch PCI DVB-S 
1131:7146:1894:001b":http://knoppmyth.net/phpBB2/viewtopic.php?t=20830.

03/14/2025 1/2



Under R6.01.00, I did go through the same workaround (blacklisting _snd_aw2_ into /etc/modprobe.d), but haven't solved the case entirely. *cx8802* 
dvb driver was still loading, and may have interfered, as I got very deceptive scan results and remained unable to tune to any channel. R6.02.00 did not 
worked better.

Under R6.02.00, I tuned _/etc/rc.conf_ as Bohner suggested, with no success. Adding the line MODULES=($MOD_BLACKLIST_ !cx8802) has just no 
effect. As Cecil wrote once that "R6 uses runit!":http://linhes.org/phpBB2/viewtopic.php?p=119534#119534, perhaps it supersedes entirely 
_/etc/rc.conf_. Would be great if R6.03.00 does fix the SAA7146 bug.

08/08/2011 06:47 pm - brfransen
- Status changed from In Progress to Feedback

Please test this with the next R7 iso and report back.

08/09/2011 01:08 am - alien
Unfortunately, I'm on a different distro at the moment.  A few others have reported this issue.  Maybe one of them can re-test?

Allen

01/24/2012 12:48 pm - brfransen
- Status changed from Feedback to Closed

No user feedback, closing.
